<?php

/**
 * @file
 * Interface between finder.module and views.module.
 */

/**
 * Implements hook_views_plugins().
 */
function finder_views_plugins() {
  $plugins = array(
    'module' => 'finder', // This just tells our themes are elsewhere.
    'display' => array(
      'finder' => array(
        'path' => drupal_get_path('module', 'finder') . '/views',
        'title' => 'Finder',
        'help' => 'Destination-agnostic display. Mostly useful for programmatic views.',
        'handler' => 'finder_plugin_display',
        'no ui' => TRUE, // Programmatic use only.
        'uses hook menu' => FALSE,
        'use ajax' => FALSE,
        'use pager' => TRUE,
        'accept attachments' => FALSE,
      ),
    ),
    'style' => array(
      'finder' => array(
        'path' => drupal_get_path('module', 'finder') . '/views',
        'title' => 'Results array (with title)',
        'help' => 'Returns the view as a PHP array.',
        'handler' => 'finder_plugin_style',
        'no ui' => TRUE, // Programmatic use only.
        'uses row plugin' => TRUE,
        'uses fields' => TRUE,
        'type' => 'normal',
        'even empty' => TRUE,
      ),
    ),
  );
  return $plugins;
}